<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Namespace: menu</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Namespace: menu</h1>

    




<section>

<header>
    
        <h2>
            <span class="ancestors"><a href="MTLG.html">MTLG</a>.</span>menu</h2>
        
    
</header>

<article>
    <div class="container-overview">
    
        

        


<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="modules_mtlg-modul-menu_mtlg-menu-modul.js.html">modules/mtlg-modul-menu/mtlg-menu-modul.js</a>, <a href="modules_mtlg-modul-menu_mtlg-menu-modul.js.html#line13">line 13</a>
    </li></ul></dd>
    

    

    

    
</dl>


        
    
    </div>

    

    

    

    

    

    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="..addEntryImg-Addaimagemenuentryandacallbackfunctionashandler"><span class="type-signature">(static) </span>.addEntryImg - Add a image menu entry and a callback function as handler<span class="signature">(text, callback)</span><span class="type-signature"> &rarr; {type}</span></h4>
    

    











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>text</code></td>
            

            <td class="type">
            
                
<span class="param-type">type</span>


            
            </td>

            

            

            <td class="description last">Titel</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>callback</code></td>
            

            <td class="type">
            
                
<span class="param-type">type</span>


            
            </td>

            

            

            <td class="description last">Description</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="modules_mtlg-modul-menu_mtlg-menu-modul.js.html">modules/mtlg-modul-menu/mtlg-menu-modul.js</a>, <a href="modules_mtlg-modul-menu_mtlg-menu-modul.js.html#line377">line 377</a>
    </li></ul></dd>
    

    

    

    
</dl>













<h5>Returns:</h5>

        
<div class="param-desc">
    Description
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">type</span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="..addEntryText-Addatextmenuentryandacallbackfunctionashandler"><span class="type-signature">(static) </span>.addEntryText - Add a text menu entry and a callback function as handler<span class="signature">(text, callback)</span><span class="type-signature"> &rarr; {type}</span></h4>
    

    











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>text</code></td>
            

            <td class="type">
            
                
<span class="param-type">type</span>


            
            </td>

            

            

            <td class="description last">Titel</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>callback</code></td>
            

            <td class="type">
            
                
<span class="param-type">type</span>


            
            </td>

            

            

            <td class="description last">Description</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="modules_mtlg-modul-menu_mtlg-menu-modul.js.html">modules/mtlg-modul-menu/mtlg-menu-modul.js</a>, <a href="modules_mtlg-modul-menu_mtlg-menu-modul.js.html#line363">line 363</a>
    </li></ul></dd>
    

    

    

    
</dl>













<h5>Returns:</h5>

        
<div class="param-desc">
    Description
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">type</span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="..closeMenu-Description"><span class="type-signature">(static) </span>.closeMenu - Description<span class="signature">()</span><span class="type-signature"> &rarr; {type}</span></h4>
    

    















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="modules_mtlg-modul-menu_mtlg-menu-modul.js.html">modules/mtlg-modul-menu/mtlg-menu-modul.js</a>, <a href="modules_mtlg-modul-menu_mtlg-menu-modul.js.html#line310">line 310</a>
    </li></ul></dd>
    

    

    

    
</dl>













<h5>Returns:</h5>

        
<div class="param-desc">
    Description
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">type</span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="..init-initilizethemenumodulinMTLG"><span class="type-signature">(static) </span>.init - initilize the menu modul in MTLG<span class="signature">(options)</span><span class="type-signature"></span></h4>
    

    











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>options</code></td>
            

            <td class="type">
            
                
<span class="param-type">type</span>


            
            </td>

            

            

            <td class="description last">Basic game options to initalize the menu modul.</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="modules_mtlg-modul-menu_mtlg-menu-modul.js.html">modules/mtlg-modul-menu/mtlg-menu-modul.js</a>, <a href="modules_mtlg-modul-menu_mtlg-menu-modul.js.html#line427">line 427</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="..openMenu-Description"><span class="type-signature">(static) </span>.openMenu - Description<span class="signature">()</span><span class="type-signature"> &rarr; {type}</span></h4>
    

    















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="modules_mtlg-modul-menu_mtlg-menu-modul.js.html">modules/mtlg-modul-menu/mtlg-menu-modul.js</a>, <a href="modules_mtlg-modul-menu_mtlg-menu-modul.js.html#line294">line 294</a>
    </li></ul></dd>
    

    

    

    
</dl>













<h5>Returns:</h5>

        
<div class="param-desc">
    Description
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">type</span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="..setEdgesToClick-Description"><span class="type-signature">(static) </span>.setEdgesToClick - Description<span class="signature">(edges)</span><span class="type-signature"> &rarr; {type}</span></h4>
    

    











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>edges</code></td>
            

            <td class="type">
            
                
<span class="param-type">type</span>


            
            </td>

            

            

            <td class="description last">Description</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="modules_mtlg-modul-menu_mtlg-menu-modul.js.html">modules/mtlg-modul-menu/mtlg-menu-modul.js</a>, <a href="modules_mtlg-modul-menu_mtlg-menu-modul.js.html#line404">line 404</a>
    </li></ul></dd>
    

    

    

    
</dl>













<h5>Returns:</h5>

        
<div class="param-desc">
    Description
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">type</span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="..setRotateAngel-Description"><span class="type-signature">(static) </span>.setRotateAngel - Description<span class="signature">(ang)</span><span class="type-signature"></span></h4>
    

    











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>ang</code></td>
            

            <td class="type">
            
                
<span class="param-type">type</span>


            
            </td>

            

            

            <td class="description last">Description</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="modules_mtlg-modul-menu_mtlg-menu-modul.js.html">modules/mtlg-modul-menu/mtlg-menu-modul.js</a>, <a href="modules_mtlg-modul-menu_mtlg-menu-modul.js.html#line417">line 417</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="..setTimer-Description"><span class="type-signature">(static) </span>.setTimer - Description<span class="signature">(timer)</span><span class="type-signature"> &rarr; {type}</span></h4>
    

    











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>timer</code></td>
            

            <td class="type">
            
                
<span class="param-type">type</span>


            
            </td>

            

            

            <td class="description last">Description</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="modules_mtlg-modul-menu_mtlg-menu-modul.js.html">modules/mtlg-modul-menu/mtlg-menu-modul.js</a>, <a href="modules_mtlg-modul-menu_mtlg-menu-modul.js.html#line391">line 391</a>
    </li></ul></dd>
    

    

    

    
</dl>













<h5>Returns:</h5>

        
<div class="param-desc">
    Description
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">type</span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="..startMenu-showsthemenubuttonsontheedges"><span class="type-signature">(static) </span>.startMenu - shows the menu buttons on the edges<span class="signature">()</span><span class="type-signature"></span></h4>
    

    















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="modules_mtlg-modul-menu_mtlg-menu-modul.js.html">modules/mtlg-modul-menu/mtlg-menu-modul.js</a>, <a href="modules_mtlg-modul-menu_mtlg-menu-modul.js.html#line326">line 326</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="..stopMenu-hidesthemenubuttonsontheedges"><span class="type-signature">(static) </span>.stopMenu - hides the menu buttons on the edges<span class="signature">()</span><span class="type-signature"></span></h4>
    

    















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="modules_mtlg-modul-menu_mtlg-menu-modul.js.html">modules/mtlg-modul-menu/mtlg-menu-modul.js</a>, <a href="modules_mtlg-modul-menu_mtlg-menu-modul.js.html#line352">line 352</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="..subMenu-Description"><span class="type-signature">(static) </span>.subMenu - Description<span class="signature">()</span><span class="type-signature"></span></h4>
    

    















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="modules_mtlg-modul-menu_mtlg-menu-modul.js.html">modules/mtlg-modul-menu/mtlg-menu-modul.js</a>, <a href="modules_mtlg-modul-menu_mtlg-menu-modul.js.html#line337">line 337</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="MTLG.utilities.graph.html">graph</a></li></ul><h3>Namespaces</h3><ul><li><a href="MTLG.html">MTLG</a></li><li><a href="MTLG.menu.html">menu</a></li><li><a href="MTLG.tangible.html">tangible</a></li><li><a href="MTLG.utilities.html">utilities</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc 3.5.5</a> on Mon Dec 04 2017 15:08:57 GMT+0100 (CET)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>